com.independentsoft.exchange

## Enum ConflictResolution

- java.lang.Object
- - java.lang.Enum<ConflictResolution>
  - - com.independentsoft.exchange.ConflictResolution

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConflictResolution>

      public enum ConflictResolution
      extends java.lang.Enum<ConflictResolution>

  Defines how conflict resolutions are handled in update operations.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALWAYS_OVERWRITE` Local property changes overwrite server-side changes.
    `AUTO_RESOLVE` Local property changes are applied to the server unless the server-side copy is more recent than the local copy.
    `NEVER_OVERWRITE` Local property changes are discarded.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConflictResolution` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConflictResolution[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEVER_OVERWRITE

          public static final ConflictResolution NEVER_OVERWRITE

      Local property changes are discarded.

    - #### AUTO_RESOLVE

          public static final ConflictResolution AUTO_RESOLVE

      Local property changes are applied to the server unless the server-side copy is more recent than the local copy.

    - #### ALWAYS_OVERWRITE

          public static final ConflictResolution ALWAYS_OVERWRITE

      Local property changes overwrite server-side changes.

  - ### Method Detail

    - #### values

          public static ConflictResolution[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConflictResolution c : ConflictResolution.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConflictResolution valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null